classification
Title: Add default value support to collections.namedtuple()
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: levkivskyi, rhettinger
Priority: normal Keywords: patch

Created on 2017-12-14 08:44 by rhettinger, last changed 2018-01-11 05:45 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4859 merged rhettinger, 2017-12-14 08:47
Messages (2)
msg308282 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-12-14 08:44
Add default argument support and _fields_defaults attribute modeled after typing.NamedTuple.
msg309792 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-01-11 05:45
New changeset 3948207c610e931831828d33aaef258185df31db by Raymond Hettinger in branch 'master':
bpo-32320: Add default value support to collections.namedtuple() (#4859)
https://github.com/python/cpython/commit/3948207c610e931831828d33aaef258185df31db
History
Date User Action Args
2018-01-11 05:45:59rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-01-11 05:45:21rhettingersetmessages: + msg309792
2017-12-15 17:15:34levkivskyisetnosy: + levkivskyi
2017-12-14 08:47:31rhettingersetkeywords: + patch
pull_requests: + pull_request4748
2017-12-14 08:44:35rhettingercreate